<script lang="ts">
  import Container from "./CommonContainer.svelte";
</script>

<Container href="https://gitlab.com/morgan.trench">
  <svg style="width: 100%; height: 100%;" class="tanuki" viewBox="0 0 36 36">
    <path
      class="left-ear"
      d="M2 14l9.38 9v-9l-4-12.28c-.205-.632-1.176-.632-1.38 0z"
    />
    <path
      class="right-ear"
      d="M34 14l-9.38 9v-9l4-12.28c.205-.632 1.176-.632 1.38 0z"
    />
    <path class="nose" d="M18,34.38 3,14 33,14 Z" />
    <path class="left-eye" d="M18,34.38 11.38,14 2,14 6,25Z" />
    <path class="right-eye" d="M18,34.38 24.62,14 34,14 30,25Z" />
    <path
      class="left-cheek"
      d="M2 14L.1 20.16c-.18.565 0 1.2.5 1.56l17.42 12.66z"
    />
    <path
      class="right-cheek"
      d="M34 14l1.9 6.16c.18.565 0 1.2-.5 1.56L18 34.38z"
    />
  </svg>
</Container>

<style>
  svg.tanuki .left-ear,
  svg.tanuki .right-ear,
  svg.tanuki .nose {
    fill: hsl(8, 76%, 52%);
  }

  svg.tanuki .left-eye,
  svg.tanuki .right-eye {
    fill: hsl(20, 97%, 57%);
  }
  svg.tanuki .left-cheek,
  svg.tanuki .right-cheek {
    fill: hsl(35, 97%, 57%);
  }

  svg path {
    transition: all 0.1s;
  }
  svg.tanuki .left-ear:hover,
  svg.tanuki .right-ear:hover,
  svg.tanuki .nose:hover {
    fill: hsl(9, 76%, 77%);
  }
  svg.tanuki .left-eye:hover,
  svg.tanuki .right-eye:hover {
    fill: hsl(20, 98%, 82%);
  }
  svg.tanuki .left-cheek:hover,
  svg.tanuki .right-cheek:hover {
    fill: hsl(35, 98%, 82%);
  }
</style>
